Package com.creditcall.chipdnamobile

# Class CardSchemeID

java.lang.Object
com.creditcall.chipdnamobile.CardSchemeID

public class CardSchemeID extends Object
The possible values returned for CardSchemeID.

Author:
  Creditcall Ltd

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CardSchemeID`
  `Amex`
  (4) Amex
  `static final CardSchemeID`
  `Carte_Blanc`
  (9) Carte Blanc
  `static final CardSchemeID`
  `Carte_Bleue`
  (8) Carte Bleue
  `static final CardSchemeID`
  `Cash`
  (9401) Cash
  `static final CardSchemeID`
  `Cheque`
  (9402) Cheque
  `static final CardSchemeID`
  `ChinaUnionPay`
  (12) China UnionPay
  `static final CardSchemeID`
  `Diners`
  (6) Diners
  `static final CardSchemeID`
  `Discover`
  (7) Discover
  `static final CardSchemeID`
  `Interac`
  (1241) Interac
  `static final CardSchemeID`
  `JCB`
  (5) JCB
  `static final CardSchemeID`
  `Laser`
  (3721) Laser
  `static final CardSchemeID`
  `Maestro`
  (3) Maestro
  `static final CardSchemeID`
  `MasterCard`
  (2) Mastercard
  `static final CardSchemeID`
  `Style`
  (100) Style
  `static final CardSchemeID`
  `ValueLink`
  (101) Value Link
  `static final CardSchemeID`
  `Visa`
  (1) Visa
  `static final CardSchemeID`
  `Voyager`
  (10) Voyager
  `static final CardSchemeID`
  `WEX`
  (11) WEX

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCardSchemeID()`
  Gets the numeric ID for the card scheme.
  `String`
  `getRid()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Visa

    public static final CardSchemeID Visa
    (1) Visa

  - ### MasterCard

    public static final CardSchemeID MasterCard
    (2) Mastercard

  - ### Maestro

    public static final CardSchemeID Maestro
    (3) Maestro

  - ### Amex

    public static final CardSchemeID Amex
    (4) Amex

  - ### JCB

    public static final CardSchemeID JCB
    (5) JCB

  - ### Diners

    public static final CardSchemeID Diners
    (6) Diners

  - ### Discover

    public static final CardSchemeID Discover
    (7) Discover

  - ### Carte_Bleue

    public static final CardSchemeID Carte_Bleue
    (8) Carte Bleue

  - ### Carte_Blanc

    public static final CardSchemeID Carte_Blanc
    (9) Carte Blanc

  - ### Voyager

    public static final CardSchemeID Voyager
    (10) Voyager

  - ### WEX

    public static final CardSchemeID WEX
    (11) WEX

  - ### ChinaUnionPay

    public static final CardSchemeID ChinaUnionPay
    (12) China UnionPay

  - ### Style

    public static final CardSchemeID Style
    (100) Style

  - ### ValueLink

    public static final CardSchemeID ValueLink
    (101) Value Link

  - ### Interac

    public static final CardSchemeID Interac
    (1241) Interac

  - ### Laser

    public static final CardSchemeID Laser
    (3721) Laser

  - ### Cash

    public static final CardSchemeID Cash
    (9401) Cash

  - ### Cheque

    public static final CardSchemeID Cheque
    (9402) Cheque

- ## Method Details

  - ### getRid

    public String getRid()

  - ### getCardSchemeID

    public int getCardSchemeID()
    Gets the numeric ID for the card scheme.
    Returns:
      numeric ID for the card scheme